org.keycloak.models

## Class UserFederationEventAwareProviderFactory

- java.lang.Object
- - org.keycloak.models.UserFederationEventAwareProviderFactory

- All Implemented Interfaces:
    UserFederationProviderFactory, ProviderFactory<UserFederationProvider>
  Direct Known Subclasses:
    LDAPFederationProviderFactory

      public abstract class UserFederationEventAwareProviderFactory
      extends Object
      implements UserFederationProviderFactory

  Provides "onProviderModelCreated" callback invoked when UserFederationProviderModel for this factory implementation is created in realm
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationEventAwareProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `onProviderModelCreated(RealmModel realm, UserFederationProviderModel createdProviderModel)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserFederationProviderFactory

      `create, getConfigurationOptions, getId, getInstance, syncAllUsers, syncChangedUsers`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, init`

- - ### Constructor Detail

    - #### UserFederationEventAwareProviderFactory

          public UserFederationEventAwareProviderFactory()

  - ### Method Detail

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<UserFederationProvider>`

    - #### onProviderModelCreated

          public abstract void onProviderModelCreated(RealmModel realm,
                                                      UserFederationProviderModel createdProviderModel)

Copyright © 2016 JBoss by Red Hat. All rights reserved.